<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Superarvuti</title>
    <style>
        * {
            margin: 0px;
            padding: 0px;
            font-family: Calibri, Arial, Helvetica, sans-serif;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        h1 {
            font-size: 2em;
            color: darkslateblue;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        #calculator {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
            grid-template-rows: 1fr 1fr 1fr 1fr;
            grid-template-areas:
                "number1Text number1Text number1Input number1Input number1Input"
                "number2Text number2Text number2Input number2Input number2Input"
                "opAdd opSub opMult opDiv opClear"
                "result result result result result";
            background: lightskyblue;
            width: 80%;
            height: 50%;
        }

        #calculator div {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid darkslateblue;
        }

        #number1Text {
            grid-area: number1Text;
            color: darkslateblue;
        }

        #number1Input {
            grid-area: number1Input;
        }

        #number1Input input {
            width: 80%;
            height: 80%;
            text-align: center;
        }

        #number2Text {
            grid-area: number2Text;
            color: darkslateblue;
        }

        #number2Input {
            grid-area: number2Input;
        }

        #number2Input input {
            width: 80%;
            height: 80%;
            text-align: center;
        }

        #opAdd {
            grid-area: opAdd;
        }

        #opSub {
            grid-area: opSub;
        }

        #opMult {
            grid-area: opMult;
        }

        #opDiv {
            grid-area: opDiv;
        }

        #opClear {
            grid-area: opClear;
        }

        #result {
            grid-area: result;
            color: darkslateblue;
        }

        .operation:hover {
            background: darkslateblue;
            color: white;
            cursor: pointer;
        }
    </style>
</head>

<body>
    <div id="container">
        <h1>Superarvuti</h1>
        <div id="calculator">
            <div id="number1Text">Number 1:</div>
            <div id="number1Input"><input type="number" id="number1InputField"></div>
            <div id="number2Text">Number 2:</div>
            <div id="number2Input"><input type="number" id="number2InputField"></div>
            <div class="operation" id="opAdd" onclick="addNumbers()">+</div>
            <div class="operation" id="opSub" onclick="subNumbers()">-</div>
            <div class="operation" id="opMult" onclick="multNumbers()">X</div>
            <div class="operation" id="obDiv" onclick="divNumbers()">/</div>
            <div class="operation" id="opClear" onclick="clearNumbers()">C</div>
            <div id="result">[TULEMUS]</div>
        </div>
    </div>
    <script>
        // Sinu kood siia

        function addNumbers() {
            // Esimese numbri inputi referents...
            const input1 = document.querySelector('#number1InputField');

            // Teise numbri inputi referents...
            const input2 = document.querySelector('#number2InputField');

            // Prindime tulemused konsoolile (console.log())
            console.log(input1.value, input2.value);

            const sum = parseInt(input1.value) + parseInt(input2.value);

            // Tulemuse element
            const resultElement = document.querySelector('#result');
            resultElement.innerHTML = sum;
        }

        function subNumbers() {
            // Esimese numbri inputi referents...
            const input1 = document.querySelector('#number1InputField');

            // Teise numbri inputi referents...
            const input2 = document.querySelector('#number2InputField');

            // Prindime tulemused konsoolile (console.log())
            console.log(input1.value, input2.value);

            const x = parseInt(input1.value) - parseInt(input2.value);

            // Tulemuse element
            const resultElement = document.querySelector('#result');
            resultElement.innerHTML = x;
        }

        function multNumbers() {
            // Esimese numbri inputi referents...
            const input1 = document.querySelector('#number1InputField');

            // Teise numbri inputi referents...
            const input2 = document.querySelector('#number2InputField');

            // Prindime tulemused konsoolile (console.log())
            console.log(input1.value, input2.value);

            const x = parseInt(input1.value) * parseInt(input2.value);

            // Tulemuse element
            const resultElement = document.querySelector('#result');
            resultElement.innerHTML = x;
        }

        function divNumbers() {
            // Esimese numbri inputi referents...
            const input1 = document.querySelector('#number1InputField');

            // Teise numbri inputi referents...
            const input2 = document.querySelector('#number2InputField');

            // Prindime tulemused konsoolile (console.log())
            console.log(input1.value, input2.value);

            const resultElement = document.querySelector('#result');
            if (parseInt(input2.value) == 0) {
                resultElement.innerHTML = 'Nulliga ei saa jagada!';
            } else {
                const x = parseInt(input1.value) / parseInt(input2.value);
                resultElement.innerHTML = x;
            }

        }

        function clearNumbers() {
            const input1 = document.querySelector('#number1InputField');
            const input2 = document.querySelector('#number2InputField');
            const resultElement = document.querySelector('#result');
            input1.value = '';
            input2.value = '';
            resultElement.innerHTML = '[TULEMUS]';
        }

    </script>
</body>

</html>